ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
http_layer Class Reference

Forward declaration of TITAN class. More...

`#include <http_layer.hh>`

Inheritance diagram for http_layer:

## Public Member Functions
| http_layer ()
| Specialised constructor Create a new instance of the http_layer class. More...
| http_layer (const std::string &p_type, const std::string &p_param)
| Specialised constructor Create a new instance of the http_layer class. More...
virtual | ~http_layer ()
| Default destructor. More...
virtual void | send_data (OCTETSTRING &data, Params &params)
| Send bytes formated data to the lower layers. More...
virtual void | receive_data (OCTETSTRING &data, Params &info)
| Receive bytes formated data from the lower layers. More...
Public Member Functions inherited from layer
| layer ()
| Type description, it indicates the protocol type (e.g. CAM, DENM, GN, ETH, PCAP...) More...
| layer (const std::string &p_type)
| Specialized constructor Create a new instance of the layer class with its type description. More...
virtual | ~layer ()
| Default destructor. More...
void | delete_layer ()
| Delete this layer. More...
void | add_upper_layer (layer *p_layer)
| Add a new layer in the list of the upper layer. More...
void | remove_upper_layer (layer *p_layer)
| Remove the specified upper layer protocol from the list of the upper layer. More...
const std::string & | to_string () const
| Remove the specified upper layer protocol from the list of the upper layer. More...

## Private Attributes
Params | _params
HttpCodec | _codec
std::unique_ptr< LibItsHttp__TypesAndValues::HeaderLines > | _headers

## Additional Inherited Members
Protected Member Functions inherited from layer
void | to_all_layers (std::vector< layer *> &layers, OCTETSTRING &data, Params &params)
void | receive_to_all_layers (OCTETSTRING &data, Params &params)
void | send_to_all_layers (OCTETSTRING &data, Params &params)
Protected Attributes inherited from layer
std::string | type
| List of the lower protocol layers. More...

## Detailed Description

Forward declaration of TITAN class.

This class provides a factory class to create an udp_layer class instance

## Constructor & Destructor Documentation

## ◆ http_layer() [1/2]

http_layer::http_layer | ( |  | ) |
| inline

Specialised constructor Create a new instance of the http_layer class.

Parameters

  [in] | p_type |

## ◆ http_layer() [2/2]

http_layer::http_layer | ( | const std::string & | p_type,
|  | const std::string & | p_param
| ) |  |

Specialised constructor Create a new instance of the http_layer class.

Parameters

  [in] | p_type |

## ◆ ~http_layer()

virtual http_layer::~http_layer | ( |  | ) |
| inline virtual

Default destructor.

## Member Function Documentation

## ◆ receive_data()

void http_layer::receive_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |
| virtual

Receive bytes formated data from the lower layers.

Parameters

  [in] | p_data | The bytes formated data received
  [in] | p_params | Some lower layers parameters values when data was received

Reimplemented from layer.

## ◆ send_data()

void http_layer::send_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |
| virtual

Send bytes formated data to the lower layers.

Parameters

  [in] | p_data | The data to be sent
  [in] | p_params | Some parameters to overwrite default value of the lower layers parameters

Reimplemented from layer.

## Member Data Documentation

## ◆ _codec

HttpCodec http_layer::_codec
| private

## ◆ _headers

std::unique_ptr<LibItsHttp__TypesAndValues::HeaderLines> http_layer::_headers
| private

## ◆ _params

Params http_layer::_params
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/http_layer.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/http_layer.cc